Loading...
Searching...
No Matches
BALL::Lipophilic Class Reference

`#include <BALL/SCORING/COMPONENTS/lipophilic.h>`

Inheritance diagram for BALL::Lipophilic:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| Lipophilic (ScoringFunction &sf)
| Lipophilic (const Lipophilic &li)
virtual | ~Lipophilic ()
Assignment
const Lipophilic & | operator= (const Lipophilic &li) throw ()
virtual void | clear () throw ()
Predicates.
bool | operator== (const Lipophilic &li) const throw ()
Setup Methods
bool | setup ()
void | setupLigand ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Accessors

void | update (const AtomPairVector &pair_vector)
double | updateScore ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Fresno lipophilic component

Definition at line 17 of file lipophilic.h.

## Constructor & Destructor Documentation

## Lipophilic() [1/2]

BALL::Lipophilic::Lipophilic | ( | ScoringFunction & | sf | ) |

Constructor.

## Lipophilic() [2/2]

BALL::Lipophilic::Lipophilic | ( | const Lipophilic & | li | ) |

Copy constructor

## ~Lipophilic()

virtual BALL::Lipophilic::~Lipophilic | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::Lipophilic::clear | ( |  | ) |
throw | ( | ) |  |  |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const Lipophilic & BALL::Lipophilic::operator= | ( | const Lipophilic & | li | ) |
throw | ( | ) |  |  |

Assignment.

## operator==()

bool BALL::Lipophilic::operator== | ( | const Lipophilic & | li | ) | const
throw | ( | ) |  |  |

## setup()

bool BALL::Lipophilic::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## setupLigand()

void BALL::Lipophilic::setupLigand | ( |  | ) |

virtual

Function that needs to be called once for every new ligand.
The default implementation of this base class does nothing and should be overloaded by derived classes if necessary.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::Lipophilic::update | ( | const AtomPairVector & | pair_vector | ) |

## updateScore()

double BALL::Lipophilic::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.